QPaintEvent(3qt)

NAME
QPaintEvent - Event parameters for paint events

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QPaintEvent ( const QRect & paintRect )
const QRect& rect () const

DESCRIPTION
The QPaintEvent class contains event parameters for paint events.

Paint events are sent to widgets that need to update themselves, for instance when a part of a widget is exposed because an overlying widget is moved away.

The event handler QWidget::paintEvent() receives paint events.

See also: QPainter, QWidget::update() and QWidget::repaint().

Examples: qtimage/qtimage.cpp life/life.cpp grapher/grapher.cpp forever/forever.cpp desktop/desktop.cpp connect/connect.cpp trivial/trivial.cpp tooltip/tooltip.cpp drawdemo/drawdemo.cpp hello/hello.cpp picture/picture.cpp xform/xform.cpp aclock/aclock.cpp progress/progress.cpp qmag/qmag.cpp showimg/showimg.cpp biff/biff.cpp

MEMBER FUNCTION DOCUMENTATION

QPaintEvent::QPaintEvent ( const QRect & paintRect )
Constructs a paint event object with the rectangle that should be updated.

const QRect & QPaintEvent::rect () const
Returns the rectangle that should be updated.

Examples: qtimage/qtimage.cpp life/life.cpp grapher/grapher.cpp trivial/trivial.cpp progress/progress.cpp showimg/showimg.cpp

SEE ALSO
http://www.troll.no/qt/qpaintevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.